diff -Naur --no-dereference a/arch/arm/boot/dts/bbai-bone-buses.dtsi b/arch/arm/boot/dts/bbai-bone-buses.dtsi
--- a/arch/arm/boot/dts/bbai-bone-buses.dtsi	1969-12-31 19:00:00.000000000 -0500
+++ b/arch/arm/boot/dts/bbai-bone-buses.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -0,0 +1,646 @@
+// SPDX-License-Identifier: GPL-2.0-only
+/*
+ * Copyright (C) 2020 Deepak Khatri <deepaklorkhatri7@gmail.com>
+ * See Cape Interface Spec page for more info on Bone Buses
+ * https://elinux.org/Beagleboard:BeagleBone_cape_interface_spec
+ */
+
+#include <dt-bindings/board/am572x-bone-pins.h>
+#include <dt-bindings/gpio/gpio.h>
+#include "am572x-bone-common-univ.dtsi"
+
+/********/
+/* LEDs */
+/********/
+&{/} {
+	leds {
+		pinctrl-names = "default";
+		compatible = "gpio-leds";
+
+		bone_led_P8_03: led_P8_03 {
+			gpios = <gpio_P8_03 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_04: led_P8_04 {
+			gpios = <gpio_P8_04 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_05: led_P8_05 {
+			gpios = <gpio_P8_05 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_06: led_P8_06 {
+			gpios = <gpio_P8_06 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_07: led_P8_07 {
+			gpios = <gpio_P8_07 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_08: led_P8_08 {
+			gpios = <gpio_P8_08 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_09: led_P8_09 {
+			gpios = <gpio_P8_09 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_10: led_P8_10 {
+			gpios = <gpio_P8_10 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_11: led_P8_11 {
+			gpios = <gpio_P8_11 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_12: led_P8_12 {
+			gpios = <gpio_P8_12 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_13: led_P8_13 {
+			gpios = <gpio_P8_13 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_14: led_P8_14 {
+			gpios = <gpio_P8_14 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_15: led_P8_15 {
+			gpios = <gpio_P8_15 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_16: led_P8_16 {
+			gpios = <gpio_P8_16 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_17: led_P8_17 {
+			gpios = <gpio_P8_17 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_18: led_P8_18 {
+			gpios = <gpio_P8_18 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_19: led_P8_19 {
+			gpios = <gpio_P8_19 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_20: led_P8_20 {
+			gpios = <gpio_P8_20 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_21: led_P8_21 {
+			gpios = <gpio_P8_21 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_22: led_P8_22 {
+			gpios = <gpio_P8_22 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_23: led_P8_23 {
+			gpios = <gpio_P8_23 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_24: led_P8_24 {
+			gpios = <gpio_P8_24 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_25: led_P8_25 {
+			gpios = <gpio_P8_25 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_26: led_P8_26 {
+			gpios = <gpio_P8_26 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_27: led_P8_27 {
+			gpios = <gpio_P8_27 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_28: led_P8_28 {
+			gpios = <gpio_P8_28 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_29: led_P8_29 {
+			gpios = <gpio_P8_29 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_30: led_P8_30 {
+			gpios = <gpio_P8_30 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_31: led_P8_31 {
+			gpios = <gpio_P8_31 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_32: led_P8_32 {
+			gpios = <gpio_P8_32 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_33: led_P8_33 {
+			gpios = <gpio_P8_33 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_34: led_P8_34 {
+			gpios = <gpio_P8_34 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_35: led_P8_35 {
+			gpios = <gpio_P8_35 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_36: led_P8_36 {
+			gpios = <gpio_P8_36 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_37: led_P8_37 {
+			gpios = <gpio_P8_37 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_38: led_P8_38 {
+			gpios = <gpio_P8_38 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_39: led_P8_39 {
+			gpios = <gpio_P8_39 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_40: led_P8_40 {
+			gpios = <gpio_P8_40 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_41: led_P8_41 {
+			gpios = <gpio_P8_41 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_42: led_P8_42 {
+			gpios = <gpio_P8_42 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_43: led_P8_43 {
+			gpios = <gpio_P8_43 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_44: led_P8_44 {
+			gpios = <gpio_P8_44 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_45: led_P8_45 {
+			gpios = <gpio_P8_45 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P8_46: led_P8_46 {
+			gpios = <gpio_P8_46 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_11: led_P9_11 {
+			gpios = <gpio_P9_11 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_12: led_P9_12 {
+			gpios = <gpio_P9_12 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_13: led_P9_13 {
+			gpios = <gpio_P9_13 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_14: led_P9_14 {
+			gpios = <gpio_P9_14 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_15: led_P9_15 {
+			gpios = <gpio_P9_15 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_16: led_P9_16 {
+			gpios = <gpio_P9_16 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_17: led_P9_17 {
+			gpios = <gpio_P9_17 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_18: led_P9_18 {
+			gpios = <gpio_P9_18 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_19: led_P9_19 {
+			gpios = <gpio_P9_19 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_20: led_P9_20 {
+			gpios = <gpio_P9_20 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_21: led_P9_21 {
+			gpios = <gpio_P9_21 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_22: led_P9_22 {
+			gpios = <gpio_P9_22 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_23: led_P9_23 {
+			gpios = <gpio_P9_23 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_24: led_P9_24 {
+			gpios = <gpio_P9_24 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_25: led_P9_25 {
+			gpios = <gpio_P9_25 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_26: led_P9_26 {
+			gpios = <gpio_P9_26 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_27: led_P9_27 {
+			gpios = <gpio_P9_27 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_28: led_P9_28 {
+			gpios = <gpio_P9_28 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_29: led_P9_29 {
+			gpios = <gpio_P9_29 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_30: led_P9_30 {
+			gpios = <gpio_P9_30 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_31: led_P9_31 {
+			gpios = <gpio_P9_31 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_41: led_P9_41 {
+			gpios = <gpio_P9_41 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+
+		bone_led_P9_42: led_P9_42 {
+			gpios = <gpio_P9_42 GPIO_ACTIVE_HIGH>;
+			status = "disabled";
+		};
+	};
+};
+
+// For dummy refrence when peripheral is not available.
+&{/} {
+	not_available: not_available {
+		// Use &not_available phandle when bus not available!
+		// This node is responsible to create these entries,
+		// /sys/firmware/devicetree/base/__symbols__/not_available
+		// /sys/firmware/devicetree/base/not_available
+	};
+};
+
+// For compatible bone pinmuxing
+bone_pinmux: &dra7_pmx_core {
+
+};
+
+// UARTs
+bone_uart_1: &uart10 {
+	symlink = "bone/uart/1";
+};
+
+bone_uart_2: &uart3 {
+	symlink = "bone/uart/2";
+};
+
+bone_uart_3: &not_available {
+	// not available on BBAI
+};
+
+bone_uart_4: &uart5 {
+	symlink = "bone/uart/4";
+};
+
+bone_uart_5: &uart8 {
+	symlink = "bone/uart/5";
+};
+
+// I2Cs
+bone_i2c_1: &i2c5 {
+	symlink = "bone/i2c/1";
+};
+
+bone_i2c_2: &i2c4 {
+	// Already in use for cape EEPROM reading.
+	symlink = "bone/i2c/2";
+};
+
+bone_i2c_2a: &not_available {
+	// Not available on BBAI
+};
+
+bone_i2c_3: &i2c3 {
+	symlink = "bone/i2c/3";
+};
+
+// SPIs
+bone_spi_0: &mcspi2 {
+
+};
+
+bone_spi_1: &mcspi3 {
+
+};
+
+// PWMs
+bone_pwm_0: &not_available {
+	// Not available on BBAI
+};
+
+bone_pwm_1: &ehrpwm2 {
+
+};
+
+bone_pwm_2: &ehrpwm1 {
+
+};
+
+// CAN
+bone_can_0: &not_available {
+	// Not available on BBAI
+};
+
+bone_can_1: &dcan2 {
+
+};
+
+// PWM_TIMERs
+bone_timer_0: &timer10 {
+
+};
+
+bone_timer_1: &timer11 {
+
+};
+
+bone_timer_2: &timer12 {
+
+};
+
+bone_timer_3: &timer13 {
+
+};
+
+bone_timer_4: &timer14 {
+
+};
+
+bone_timer_5: &timer15 {
+
+};
+
+// McASP
+bone_mcasp_0: &mcasp1 {
+	#sound-dai-cells= <0>;
+	assigned-clocks = <&ipu_clkctrl DRA7_MCASP1_CLKCTRL 24>;
+	assigned-clock-parents = <&sys_clkin2>; /* 22579200 Hz (see dra7xx-clocks.dtsi) */
+		serial-dir = <  /* 0: INACTIVE, 1: TX, 2: RX */
+		0 0 0 0
+		0 0 0 0
+		0 0 2 1
+		0 0 0 0
+	>;
+};
+
+// eQEP
+// bone_eqep_0: &eqep2{
+
+// };
+
+// bone_eqep_1: &eqep0{
+
+// };
+
+// bone_eqep_2: &eqep1{
+
+// };
+
+// ADC
+// No internal ADC, STMPE811 Touch Controller is used!
+// bone_adc label is created in am5729-beagleboneai.dts
+
+// Enable all pwmss
+&epwmss0 {
+	status = "okay";
+};
+
+&epwmss1 {
+	status = "okay";
+};
+
+&epwmss2 {
+	status = "okay";
+};
+
+// spi_gpio (bit banged SPI)
+&{/} {
+	// For CTAG SW 8ch overlay
+	bone_spi_gpio_ad193x: bone_spi_gpio_ad193x {
+		status = "disabled";
+		compatible = "spi-gpio";
+		#address-cells = <1>;
+		#size-cells = <0>;
+
+		sck-gpios = <gpio_P8_32 GPIO_ACTIVE_HIGH>;
+		mosi-gpios = <gpio_P8_33 GPIO_ACTIVE_HIGH>;
+		miso-gpios = <gpio_P8_14 GPIO_ACTIVE_HIGH>;
+		cs-gpios = <gpio_P8_17 GPIO_ACTIVE_HIGH>;
+		num-chipselects = <1>;
+
+		ad193x: ad193x@0{
+			compatible = "analog,ad1938";
+			reset-gpio = <gpio_P8_34 GPIO_ACTIVE_HIGH>;
+			reg = <0>; //corresponds to cs
+			spi-max-frequency = <100000>;
+		};
+	};
+};
+
+// Bone sound
+&ocp {
+	bone_sound: bone_sound {
+		bb-device = <1>; //BBx15/BBAI
+	};
+};
+
+// LCD
+// Display Sub System (DSS)
+&dss {
+	ports {
+		#address-cells = <1>;
+		#size-cells = <0>;
+
+		port {
+			reg = <0>;
+
+			dpi_out: endpoint {
+				data-lines = <16>;
+				remote-endpoint = <&lcd_in>;
+			};
+		};
+	};
+};
+
+// Touch Controller
+&bone_i2c_1 {
+	status = "okay";
+	clock-frequency = <100000>;
+	#address-cells = <1>;
+	#size-cells = <0>;
+
+	// Bone Touch controller
+	bone_polytouch_edt: edt-ft5x06@38 {
+		status = "disabled";
+		compatible = "edt,edt-ft5x06";
+		reg = <0x38>;
+		interrupt-parent = <&gpio6>;
+		interrupts = <14 2>;
+		touchscreen-size-y = <480>;
+		touchscreen-size-x = <272>;
+		touchscreen-swapped-x-y;
+	};
+};
+
+&{/} {
+
+	// Backlight(s)
+	// Backlight on pin P9_14
+	bone_backlight: backlight {
+		status = "disabled";
+		compatible = "pwm-backlight";
+		pwms = <&bone_pwm_1 0 500000 0>;
+		brightness-levels = <
+			0  1  2  3  4  5  6  7  8  9
+			10 11 12 13 14 15 16 17 18 19
+			20 21 22 23 24 25 26 27 28 29
+			30 31 32 33 34 35 36 37 38 39
+			40 41 42 43 44 45 46 47 48 49
+			50 51 52 53 54 55 56 57 58 59
+			60 61 62 63 64 65 66 67 68 69
+			70 71 72 73 74 75 76 77 78 79
+			80 81 82 83 84 85 86 87 88 89
+			90 91 92 93 94 95 96 97 98 99
+			100
+		>;
+		default-brightness-level = <100>;
+	};
+
+	// Display(s)
+	// 4D Systems GEN4-4DCAPE-43CT-CLB Cape
+	bone_lcd_4d4c: display {
+		status = "disabled";
+		compatible = "qiaodian,qd43003c0-40", "panel-dpi";
+		backlight = <&bone_backlight>;
+		enable-gpios = <&gpio2 5 0>;
+		label = "lcd";
+
+		panel-info {
+			ac-bias           = <255>;
+			ac-bias-intrpt    = <0>;
+			dma-burst-sz      = <16>;
+			bpp               = <16>;
+			fdd               = <0x80>;
+			sync-edge         = <0>;
+			sync-ctrl         = <1>;
+			raster-order      = <0>;
+			fifo-th           = <0>;
+		};
+
+		panel-timing {
+			clock-frequency = <9200000>;
+			hactive = <480>;
+			vactive = <272>;
+			hfront-porch = <8>;
+			hback-porch = <47>;
+			hsync-len = <41>;
+			vback-porch = <2>;
+			vfront-porch = <3>;
+			vsync-len = <10>;
+			hsync-active = <0>;
+			vsync-active = <0>;
+			de-active = <1>;
+			pixelclk-active = <0>;
+		};
+
+		port {
+			lcd_in: endpoint {
+				remote-endpoint = <&dpi_out>;
+			};
+		};
+	};
+};
diff -Naur --no-dereference a/arch/arm/boot/dts/bbb-bone-buses.dtsi b/arch/arm/boot/dts/bbb-bone-buses.dtsi
--- a/arch/arm/boot/dts/bbb-bone-buses.dtsi	1969-12-31 19:00:00.000000000 -0500
+++ b/arch/arm/boot/dts/bbb-bone-buses.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -0,0 +1,315 @@
+// SPDX-License-Identifier: GPL-2.0-only
+
+/*
+ * TODO needs to be merged into am335x-bbb-bone-buses.dtsi and
+ * tested with BeagleBone Green Wireless (which uses wifi over
+ * the P8/P9 header).. RCNEE 20221118
+ */
+
+/*
+ * Copyright (C) 2020 Deepak Khatri <deepaklorkhatri7@gmail.com>
+ * See Cape Interface Spec page for more info on Bone Buses
+ * https://elinux.org/Beagleboard:BeagleBone_cape_interface_spec
+ */
+
+#include <dt-bindings/board/am335x-bone-pins.h>
+#include <dt-bindings/gpio/gpio.h>
+#include "am335x-bone-common-univ.dtsi"
+
+/********/
+/* LEDs */
+/********/
+&{/} {
+	leds {
+		pinctrl-names = "default";
+		compatible = "gpio-leds";
+
+		/* macro: BONE_LED(<headerpin>) */
+		#define BONE_LED(PX_YY)\
+			bone_led_##PX_YY##: led_##PX_YY {\
+				status = "disabled";\
+				linux,default-trigger = "default-off";\
+				gpios = <gpio_##PX_YY GPIO_ACTIVE_HIGH>;\
+			};
+
+		BONE_LED(P8_03)
+		BONE_LED(P8_04)
+		BONE_LED(P8_05)
+		BONE_LED(P8_06)
+		BONE_LED(P8_07)
+		BONE_LED(P8_08)
+		BONE_LED(P8_09)
+		BONE_LED(P8_10)
+		BONE_LED(P8_11)
+		BONE_LED(P8_12)
+		BONE_LED(P8_13)
+		BONE_LED(P8_14)
+		BONE_LED(P8_15)
+		BONE_LED(P8_16)
+		BONE_LED(P8_17)
+		BONE_LED(P8_18)
+		BONE_LED(P8_19)
+		BONE_LED(P8_20)
+		BONE_LED(P8_21)
+		BONE_LED(P8_22)
+		BONE_LED(P8_23)
+		BONE_LED(P8_24)
+		BONE_LED(P8_25)
+		BONE_LED(P8_26)
+		BONE_LED(P8_27)
+		BONE_LED(P8_28)
+		BONE_LED(P8_29)
+		BONE_LED(P8_30)
+		BONE_LED(P8_31)
+		BONE_LED(P8_32)
+		BONE_LED(P8_33)
+		BONE_LED(P8_34)
+		BONE_LED(P8_35)
+		BONE_LED(P8_36)
+		BONE_LED(P8_37)
+		BONE_LED(P8_38)
+		BONE_LED(P8_39)
+		BONE_LED(P8_40)
+		BONE_LED(P8_41)
+		BONE_LED(P8_42)
+		BONE_LED(P8_43)
+		BONE_LED(P8_44)
+		BONE_LED(P8_45)
+		BONE_LED(P8_46)
+
+		/*P9 header Bone LEDs*/
+		BONE_LED(P9_11)
+		BONE_LED(P9_12)
+		BONE_LED(P9_13)
+		BONE_LED(P9_14)
+		BONE_LED(P9_15)
+		BONE_LED(P9_16)
+		BONE_LED(P9_17)
+		BONE_LED(P9_18)
+		BONE_LED(P9_19)
+		BONE_LED(P9_20)
+		BONE_LED(P9_21)
+		BONE_LED(P9_22)
+		BONE_LED(P9_23)
+		BONE_LED(P9_24)
+		BONE_LED(P9_25)
+		BONE_LED(P9_26)
+		BONE_LED(P9_27)
+		BONE_LED(P9_28)
+		BONE_LED(P9_29)
+		BONE_LED(P9_30)
+		BONE_LED(P9_31)
+
+		BONE_LED(P9_41)
+		BONE_LED(P9_91)
+		BONE_LED(P9_42)
+		BONE_LED(P9_92)
+
+		BONE_LED(A15)
+	};
+};
+
+// For dummy refrence when peripheral is not available.
+&{/} {
+	not_available: not_available {
+		// Use &not_available when required.
+		// This node is responsible to create these entries,
+		// /sys/firmware/devicetree/base/__symbols__/not_available
+		// /sys/firmware/devicetree/base/not_available
+	};
+};
+
+// For compatible bone pinmuxing
+bone_pinmux: &am33xx_pinmux {
+
+};
+
+// UARTs
+bone_uart_1: &uart1 {
+	symlink = "bone/uart/1";
+};
+
+bone_uart_2: &uart2 {
+	symlink = "bone/uart/2";
+};
+
+bone_uart_3: &uart3 {
+	symlink = "bone/uart/3";
+};
+
+bone_uart_4: &uart4 {
+	symlink = "bone/uart/4";
+};
+
+bone_uart_5: &uart5 {
+	symlink = "bone/uart/5";
+};
+
+// I2Cs
+bone_i2c_1: &i2c1 {
+	symlink = "bone/i2c/1";
+};
+
+bone_i2c_2: &i2c2 {
+	// Already in use for cape EEPROM reading.
+	symlink = "bone/i2c/2";
+};
+
+// use only when bone_i2c_2 is not in use
+bone_i2c_2a: &i2c2 {
+	symlink = "bone/i2c/2a";
+};
+
+// use only when bone_i2c_1 is not in use
+bone_i2c_3: &i2c1 {
+	symlink = "bone/i2c/3";
+};
+
+// gpmc:
+bone_gpmc: &gpmc {
+
+};
+
+// SPIs
+bone_spi_0: &spi0 {
+
+};
+
+bone_spi_1: &spi1 {
+
+};
+
+// PWMs
+bone_pwm_0: &ehrpwm0 {
+
+};
+
+bone_pwm_1: &ehrpwm1 {
+
+};
+
+bone_pwm_2: &ehrpwm2 {
+
+};
+
+// CAN
+bone_can_0: &dcan0 {
+
+};
+
+bone_can_1: &dcan1 {
+
+};
+
+// PWM_TIMERs
+bone_timer_0: &timer6 {
+
+};
+
+bone_timer_1: &timer4 {
+
+};
+
+bone_timer_2: &timer7 {
+
+};
+
+bone_timer_3: &not_available {
+	// Not available on BBBWl/BBB
+};
+
+bone_timer_4: &timer5 {
+
+};
+
+bone_timer_5: &not_available {
+	// Not available on BBBWL/BBB
+};
+
+// McASP
+bone_mcasp_0: &mcasp0 {
+    serial-dir = <  /* 0: INACTIVE, 1: TX, 2: RX */
+		2 0 1 0
+		0 0 0 0
+		0 0 0 0
+		0 0 0 0
+	>;
+};
+
+// eQEP
+bone_eqep_0: &eqep0{
+
+};
+
+bone_eqep_1: &eqep1{
+
+};
+
+bone_eqep_2: &eqep2{
+
+};
+
+// ADC
+bone_adc: &tscadc {
+	adc {
+		ti,adc-channels = <0 1 2 3 4 5 6 7>;
+		ti,chan-step-avg = <16 16 16 16 16 16 16 16>;
+		ti,chan-step-opendelay = <0x98 0x98 0x98 0x98 0x98 0x98 0x98 0x98>;
+		ti,chan-step-sampledelay = <0x0 0x0 0x0 0x0 0x0 0x0 0x0 0x0>;
+	};
+};
+
+// Enable all pwmss
+&epwmss0 {
+	status = "okay";
+};
+
+&epwmss1 {
+	status = "okay";
+};
+
+&epwmss2 {
+	status = "okay";
+};
+
+// spi_gpio (bit banged SPI)
+&{/} {
+	// For CTAG SW 8ch overlay
+	bone_spi_gpio_ad193x: bone_spi_gpio_ad193x {
+		status = "disabled";
+		compatible = "spi-gpio";
+		#address-cells = <1>;
+		#size-cells = <0>;
+
+		sck-gpios = <gpio_P8_32 GPIO_ACTIVE_HIGH>;
+		mosi-gpios = <gpio_P8_33 GPIO_ACTIVE_HIGH>;
+		miso-gpios = <gpio_P8_14 GPIO_ACTIVE_HIGH>;
+		cs-gpios = <gpio_P8_17 GPIO_ACTIVE_HIGH>;
+		num-chipselects = <1>;
+
+		ad193x: ad193x@0{
+			compatible = "analog,ad1938";
+			reset-gpio = <gpio_P8_34 GPIO_ACTIVE_HIGH>;
+			reg = <0>; //corresponds to cs
+			spi-max-frequency = <100000>;
+		};
+	};
+};
+
+// // Bone sound
+// &ocp {
+//         clk_mcasp0_fixed: clk_mcasp0_fixed {
+//                 #clock-cells = <0>;
+//                 compatible = "fixed-clock";
+//                 clock-frequeny = <24576000>;
+//         };
+//         clk_mcasp0: clk_mcasp0 {
+//                 #clock-cells = <0>;
+//                 compatible = "gpio-gate-clock";
+//                 clocks = <&clk_mcasp0_fixed>;
+//                 enable-gpios = <&gpio1 27 GPIO_ACTIVE_HIGH>;
+//         };
+// 	bone_sound: bone_sound {
+// 		bb-device = <0>; //BBB/BBG
+// 	};
+// };
diff -Naur --no-dereference a/arch/arm/boot/dts/da850.dtsi b/arch/arm/boot/dts/da850.dtsi
--- a/arch/arm/boot/dts/da850.dtsi	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/da850.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -9,7 +9,9 @@
 	#address-cells = <1>;
 	#size-cells = <1>;
 	chosen { };
-	aliases { };
+	aliases {
+		rproc0 = &dsp;
+	};
 
 	memory@c0000000 {
 		device_type = "memory";
@@ -574,8 +576,7 @@
 			status = "disabled";
 		};
 		ehrpwm0: pwm@300000 {
-			compatible = "ti,da850-ehrpwm", "ti,am3352-ehrpwm",
-				     "ti,am33xx-ehrpwm";
+			compatible = "ti,da850-ehrpwm", "ti,am3352-ehrpwm";
 			#pwm-cells = <3>;
 			reg = <0x300000 0x2000>;
 			clocks = <&psc1 17>, <&ehrpwm_tbclk>;
@@ -584,8 +585,7 @@
 			status = "disabled";
 		};
 		ehrpwm1: pwm@302000 {
-			compatible = "ti,da850-ehrpwm", "ti,am3352-ehrpwm",
-				     "ti,am33xx-ehrpwm";
+			compatible = "ti,da850-ehrpwm", "ti,am3352-ehrpwm";
 			#pwm-cells = <3>;
 			reg = <0x302000 0x2000>;
 			clocks = <&psc1 17>, <&ehrpwm_tbclk>;
@@ -593,9 +593,8 @@
 			power-domains = <&psc1 17>;
 			status = "disabled";
 		};
-		ecap0: ecap@306000 {
-			compatible = "ti,da850-ecap", "ti,am3352-ecap",
-				     "ti,am33xx-ecap";
+		ecap0: pwm@306000 {
+			compatible = "ti,da850-ecap", "ti,am3352-ecap";
 			#pwm-cells = <3>;
 			reg = <0x306000 0x80>;
 			clocks = <&psc1 20>;
@@ -603,9 +602,8 @@
 			power-domains = <&psc1 20>;
 			status = "disabled";
 		};
-		ecap1: ecap@307000 {
-			compatible = "ti,da850-ecap", "ti,am3352-ecap",
-				     "ti,am33xx-ecap";
+		ecap1: pwm@307000 {
+			compatible = "ti,da850-ecap", "ti,am3352-ecap";
 			#pwm-cells = <3>;
 			reg = <0x307000 0x80>;
 			clocks = <&psc1 20>;
@@ -613,9 +611,8 @@
 			power-domains = <&psc1 20>;
 			status = "disabled";
 		};
-		ecap2: ecap@308000 {
-			compatible = "ti,da850-ecap", "ti,am3352-ecap",
-				     "ti,am33xx-ecap";
+		ecap2: pwm@308000 {
+			compatible = "ti,da850-ecap", "ti,am3352-ecap";
 			#pwm-cells = <3>;
 			reg = <0x308000 0x80>;
 			clocks = <&psc1 20>;
diff -Naur --no-dereference a/arch/arm/boot/dts/da850-lego-ev3.dts b/arch/arm/boot/dts/da850-lego-ev3.dts
--- a/arch/arm/boot/dts/da850-lego-ev3.dts	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/da850-lego-ev3.dts	2023-04-15 15:47:48.642088552 -0400
@@ -412,14 +412,14 @@
 	status = "okay";
 
 	/* Don't pull down battery voltage adc io channel */
-	batt_volt_en {
+	batt-volt-en-hog {
 		gpio-hog;
 		gpios = <6 GPIO_ACTIVE_HIGH>;
 		output-high;
 	};
 
 	/* Don't impede Bluetooth clock signal */
-	bt_clock_en {
+	bt-clock-en-hog {
 		gpio-hog;
 		gpios = <5 GPIO_ACTIVE_HIGH>;
 		input;
@@ -433,19 +433,19 @@
 	 * anything, but they are present in the source code from LEGO.
 	 */
 
-	bt_pic_en {
+	bt-pic-en-hog {
 		gpio-hog;
 		gpios = <51 GPIO_ACTIVE_HIGH>;
 		output-low;
 	};
 
-	bt_pic_rst {
+	bt-pic-rst-hog {
 		gpio-hog;
 		gpios = <78 GPIO_ACTIVE_HIGH>;
 		output-high;
 	};
 
-	bt_pic_cts {
+	bt-pic-cts-hog {
 		gpio-hog;
 		gpios = <87 GPIO_ACTIVE_HIGH>;
 		input;
diff -Naur --no-dereference a/arch/arm/boot/dts/dra71-evm.dts b/arch/arm/boot/dts/dra71-evm.dts
--- a/arch/arm/boot/dts/dra71-evm.dts	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/dra71-evm.dts	2023-04-15 15:47:48.642088552 -0400
@@ -112,6 +112,8 @@
 				regulator-name = "lp8733-ldo0";
 				regulator-min-microvolt = <3300000>;
 				regulator-max-microvolt = <3300000>;
+				regulator-boot-on;
+				regulator-always-on;
 			};
 
 			lp8733_ldo1_reg: ldo1 {
diff -Naur --no-dereference a/arch/arm/boot/dts/dra72-evm-common.dtsi b/arch/arm/boot/dts/dra72-evm-common.dtsi
--- a/arch/arm/boot/dts/dra72-evm-common.dtsi	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/dra72-evm-common.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -180,6 +180,12 @@
 		};
 	};
 
+	clk_ov10633_fixed: clk-ov10633-fixed {
+		#clock-cells = <0>;
+		compatible = "fixed-clock";
+		clock-frequency = <24000000>;
+	};
+
 	vmmcwl_fixed: fixedregulator-mmcwl {
 		compatible = "regulator-fixed";
 		regulator-name = "vmmcwl_fixed";
@@ -275,6 +281,26 @@
 			output-low;
 			line-name = "vin6_sel_s0";
 		};
+
+		/*
+		 * Dual pin selection
+		 * ENET: vin2_sel_s0: high: vin2_sel_s2: high
+		 * VIN2: vin2_sel_s0: low: vin2_sel_s2: high
+		 * CAM : vin2_sel_s0: high: vin2_sel_s2: low
+		 */
+		p2 {
+			gpio-hog;
+			gpios = <2 GPIO_ACTIVE_HIGH>;
+			output-high;
+			line-name = "vin2_sel_s0";
+		};
+
+		p6 {
+			gpio-hog;
+			gpios = <6 GPIO_ACTIVE_HIGH>;
+			output-low;
+			line-name = "vin2_sel_s2";
+		};
 	};
 
 	ov5640@3c {
@@ -293,6 +319,22 @@
 		};
 	};
 
+	ov10633@37 {
+		compatible = "ovti,ov10633";
+		reg = <0x37>;
+
+		clocks = <&clk_ov10633_fixed>;
+		clock-names = "xvclk";
+
+		port {
+			onboardLI: endpoint {
+				remote-endpoint = <&vin2a_ep>;
+				hsync-active = <1>;
+				vsync-active = <1>;
+				pclk-sample = <0>;
+			};
+		};
+	};
 };
 
 &uart1 {
@@ -535,6 +577,10 @@
 	status = "okay";
 };
 
+&bb2d {
+	status = "okay";
+};
+
 &hdmi {
 	status = "okay";
 
@@ -545,6 +591,15 @@
 	};
 };
 
+&vin2a {
+	vin2a_ep: endpoint {
+		remote-endpoint = <&onboardLI>;
+		hsync-active = <1>;
+		vsync-active = <1>;
+		pclk-sample = <0>;
+	};
+};
+
 &atl {
 	assigned-clocks = <&abe_dpll_sys_clk_mux>,
 			  <&atl_clkctrl DRA7_ATL_ATL_CLKCTRL 26>,
diff -Naur --no-dereference a/arch/arm/boot/dts/dra72x.dtsi b/arch/arm/boot/dts/dra72x.dtsi
--- a/arch/arm/boot/dts/dra72x.dtsi	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/dra72x.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -65,6 +65,17 @@
 	};
 };
 
+&scm {
+	dra72_vip_mux: pinmux@4a002e8c {
+		compatible = "pinctrl-single";
+		reg = <0xe8c 0x4>;
+		#address-cells = <1>;
+		#size-cells = <0>;
+		pinctrl-single,register-width = <32>;
+		pinctrl-single,function-mask = <0x7f>;
+	};
+};
+
 &dss {
 	reg = <0 0x80>,
 	      <0x4054 0x4>,
diff -Naur --no-dereference a/arch/arm/boot/dts/dra74x.dtsi b/arch/arm/boot/dts/dra74x.dtsi
--- a/arch/arm/boot/dts/dra74x.dtsi	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/dra74x.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -229,4 +229,117 @@
 			};
 		};
 	};
+
+	target-module@190000 {			/* 0x48990000, ap 23 2e.0 */
+		compatible = "ti,sysc-omap4", "ti,sysc";
+		reg = <0x190010 0x4>;
+		reg-names = "sysc";
+		ti,sysc-midle = <SYSC_IDLE_FORCE>,
+				<SYSC_IDLE_NO>,
+				<SYSC_IDLE_SMART>;
+		ti,sysc-sidle = <SYSC_IDLE_FORCE>,
+				<SYSC_IDLE_NO>,
+				<SYSC_IDLE_SMART>;
+		clocks = <&cam_clkctrl DRA7_CAM_VIP2_CLKCTRL 0>;
+		clock-names = "fck";
+		#address-cells = <1>;
+		#size-cells = <1>;
+		ranges = <0x0 0x190000 0x10000>;
+
+		vip2: vip@0 {
+			compatible = "ti,dra7-vip2";
+			reg = <0x0000 0x114>,
+			      <0x5500 0xd8>,
+			      <0x5700 0x18>,
+			      <0x5800 0x80>,
+			      <0x5a00 0xd8>,
+			      <0x5c00 0x18>,
+			      <0x5d00 0x80>,
+			      <0xd000 0x400>;
+			reg-names = "vip",
+				    "parser0",
+				    "csc0",
+				    "sc0",
+				    "parser1",
+				    "csc1",
+				    "sc1",
+				    "vpdma";
+			interrupts = <GIC_SPI 352 IRQ_TYPE_LEVEL_HIGH>,
+				     <GIC_SPI 393 IRQ_TYPE_LEVEL_HIGH>;
+			/* CTRL_CORE_SMA_SW_1 */
+			ti,vip-clk-polarity = <&scm_conf 0x534>;
+
+			ports {
+				#address-cells = <1>;
+				#size-cells = <0>;
+
+				vin3a: port@0 {
+					reg = <0>;
+				};
+				vin4a: port@1 {
+					reg = <1>;
+				};
+				vin3b: port@2 {
+					reg = <2>;
+				};
+				vin4b: port@3 {
+					reg = <3>;
+				};
+			};
+		};
+	};
+
+	target-module@1b0000 {			/* 0x489b0000, ap 25 34.0 */
+		compatible = "ti,sysc-omap4", "ti,sysc";
+		reg = <0x1b0000 0x4>,
+		      <0x1b0010 0x4>;
+		reg-names = "rev", "sysc";
+		ti,sysc-midle = <SYSC_IDLE_FORCE>,
+				<SYSC_IDLE_NO>,
+				<SYSC_IDLE_SMART>;
+		ti,sysc-sidle = <SYSC_IDLE_FORCE>,
+				<SYSC_IDLE_NO>,
+				<SYSC_IDLE_SMART>;
+		clocks = <&cam_clkctrl DRA7_CAM_VIP3_CLKCTRL 0>;
+		clock-names = "fck";
+		#address-cells = <1>;
+		#size-cells = <1>;
+		ranges = <0x0 0x1b0000 0x10000>;
+
+		vip3: vip@0 {
+			compatible = "ti,dra7-vip3";
+			reg = <0x0000 0x114>,
+			      <0x5500 0xd8>,
+			      <0x5700 0x18>,
+			      <0x5800 0x80>,
+			      <0x5a00 0xd8>,
+			      <0x5c00 0x18>,
+			      <0x5d00 0x80>,
+			      <0xd000 0x400>;
+			reg-names = "vip",
+				    "parser0",
+				    "csc0",
+				    "sc0",
+				    "parser1",
+				    "csc1",
+				    "sc1",
+				    "vpdma";
+			interrupts = <GIC_SPI 353 IRQ_TYPE_LEVEL_HIGH>,
+				     <GIC_SPI 394 IRQ_TYPE_LEVEL_HIGH>;
+			/* CTRL_CORE_SMA_SW_1 */
+			ti,vip-clk-polarity = <&scm_conf 0x534>;
+
+			ports {
+				#address-cells = <1>;
+				#size-cells = <0>;
+
+				vin5a: port@0 {
+					reg = <0>;
+				};
+				vin6a: port@1 {
+					reg = <1>;
+				};
+			};
+		};
+	};
 };
diff -Naur --no-dereference a/arch/arm/boot/dts/dra74x-p.dtsi b/arch/arm/boot/dts/dra74x-p.dtsi
--- a/arch/arm/boot/dts/dra74x-p.dtsi	1969-12-31 19:00:00.000000000 -0500
+++ b/arch/arm/boot/dts/dra74x-p.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -0,0 +1,27 @@
+/*
+ * Copyright (C) 2017 Texas Instruments Incorporated - http://www.ti.com/
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation.
+ */
+
+#include "dra74x.dtsi"
+
+/ {
+	compatible = "ti,dra762", "ti,dra7";
+
+	ocp {
+		emif1: emif@4c000000 {
+			compatible = "ti,emif-dra7xx";
+			reg = <0x4c000000 0x200>;
+			interrupts = <GIC_SPI 105 IRQ_TYPE_LEVEL_HIGH>;
+			status = "disabled";
+		};
+	};
+};
+
+/* MCAN interrupts are hard-wired to irqs 67, 68 */
+&crossbar_mpu {
+	ti,irqs-skip = <10 67 68 133 139 140>;
+};
diff -Naur --no-dereference a/arch/arm/boot/dts/dra76-evm.dts b/arch/arm/boot/dts/dra76-evm.dts
--- a/arch/arm/boot/dts/dra76-evm.dts	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/dra76-evm.dts	2023-04-15 15:47:48.642088552 -0400
@@ -158,12 +158,6 @@
 		regulator-max-microvolt = <1800000>;
 	};
 
-	clk_ov5640_fixed: clock {
-		compatible = "fixed-clock";
-		#clock-cells = <0>;
-		clock-frequency = <24000000>;
-	};
-
 	hdmi0: connector {
 		compatible = "hdmi-connector";
 		label = "hdmi";
@@ -410,18 +404,19 @@
 	status = "okay";
 	clock-frequency = <400000>;
 
-	ov5640@3c {
-		compatible = "ovti,ov5640";
-		reg = <0x3c>;
+	ov10633@37 {
+		compatible = "ovti,ov10633";
+		reg = <0x37>;
 
-		clocks = <&clk_ov5640_fixed>;
-		clock-names = "xclk";
+		clocks = <&clk_ov10633_fixed>;
+		clock-names = "xvclk";
 
 		port {
-			csi2_cam0: endpoint {
-				remote-endpoint = <&csi2_phy0>;
-				clock-lanes = <0>;
-				data-lanes = <1 2>;
+			onboardLI: endpoint {
+				remote-endpoint = <&vin2a_ep>;
+				hsync-active = <1>;
+				vsync-active = <1>;
+				pclk-sample = <0>;
 			};
 		};
 	};
@@ -573,14 +568,6 @@
 	};
 };
 
-&csi2_0 {
-	csi2_phy0: endpoint {
-		remote-endpoint = <&csi2_cam0>;
-		clock-lanes = <0>;
-		data-lanes = <1 2>;
-	};
-};
-
 &ipu2 {
 	status = "okay";
 	memory-region = <&ipu2_cma_pool>;
@@ -600,3 +587,12 @@
 	status = "okay";
 	memory-region = <&dsp2_cma_pool>;
 };
+
+&vin2a {
+	vin2a_ep: endpoint {
+		remote-endpoint = <&onboardLI>;
+		hsync-active = <1>;
+		vsync-active = <1>;
+		pclk-sample = <0>;
+	};
+};
diff -Naur --no-dereference a/arch/arm/boot/dts/dra76x.dtsi b/arch/arm/boot/dts/dra76x.dtsi
--- a/arch/arm/boot/dts/dra76x.dtsi	2023-01-04 05:39:24.000000000 -0500
+++ b/arch/arm/boot/dts/dra76x.dtsi	2023-04-15 15:47:48.642088552 -0400
@@ -83,9 +83,12 @@
 	};
 };
 
-/* MCAN interrupts are hard-wired to irqs 67, 68 */
-&crossbar_mpu {
-	ti,irqs-skip = <10 67 68 133 139 140>;
+/*
+ * On DRA76x CAL replaces VIP3 since we include dra74x.dtsi make sure
+ * vip3 is disabled.
+ */
+&vip3 {
+	status = "disabled";
 };
 
 &scm_conf_clocks {
@@ -133,3 +136,32 @@
 	/* dra76x is not affected by i887 */
 	max-frequency = <96000000>;
 };
+
+&cpu0_opp_table {
+	opp_plus@1800000000 {
+		opp-hz = /bits/ 64 <1800000000>;
+		opp-microvolt = <1250000 950000 1250000>,
+				<1250000 950000 1250000>;
+		opp-supported-hw = <0xFF 0x08>;
+	};
+};
+
+&opp_supply_mpu {
+	ti,efuse-settings = <
+	/* uV   offset */
+	1060000 0x0
+	1160000 0x4
+	1210000 0x8
+	1250000 0xC
+	>;
+};
+
+&abb_mpu {
+	ti,abb_info = <
+	/*uV		ABB	efuse	rbb_m fbb_m	vset_m*/
+	1060000		0	0x0	0 0x02000000 0x01F00000
+	1160000		0	0x4	0 0x02000000 0x01F00000
+	1210000		0	0x8	0 0x02000000 0x01F00000
+	1250000		0	0xC	0 0x02000000 0x01F00000
+	>;
+};
